//	ResourceManagerInit.cpp
//	----------------------------------------------------------------------------
//	File generated automatically by Niall's AVLib Resource Generator.
//	----------------------------------------------------------------------------

#include "ResourceManager.h"
#include "TextureAtlas.h"
#include "SingleImage.h"
#include "FilePath.h"
#include "Shader.h"
#include "Font.h"

#include "BlobAtlas.h"

//------------------------------------------------------------------------------
void ResourceManager::initialiseResources()
{
	registerFont(FontPtr(new Font(FilePath::getDataFilesDir().getChild(L"fonts").getChild(L"OrbitronBold.ttf"), 48, L"Font0")));
	registerFont(FontPtr(new Font(FilePath::getDataFilesDir().getChild(L"fonts").getChild(L"OrbitronBold.ttf"), 32, L"Font1")));
	registerFont(FontPtr(new Font(FilePath::getDataFilesDir().getChild(L"fonts").getChild(L"OrbitronBold.ttf"), 24, L"Font2")));
	registerTextureAtlas(shared_ptr<TextureAtlas>(new BlobAtlas()));
}
